JPEGHOTP(1)

NIMI
jpeghotp - etsii palaneita ja kuolleita pikseleitä muuten mustasta tai valkoisesta JPEG-kuvasta

YLEISKATSAUS
jpeghotp [VALITSIN]... JPEG-TIEDOSTO [PIKSELI-ALUE-TIEDOSTO]

DESCRIPTION
Jpeghotp etsii automaattisesti palaneita pikseleitä muuten mustasta JPEG-kuvasta (oletusarvo) tai kuolleita pikseleitä muuten valkoisesta kuvasta (kun käytetään .B --invert -valitsinta). Tuloksena on jpegpixi(1) -ohjelmalle sopivassa muodossa oleva pikselialueiden määritystiedosto. Ohjelmaa käytetään tyypillisesti viallisella CCD-kennolla varustetulla digitaalikameralla otettujen kuvien prosessoimiseen.

Tällöin ohjelmalle syötettävä musta kuva otetaan täysin pimeässä tilassa tai linssi peitettynä ja valkoinen kuva ottamalla valkoisesta paperista ylivalottunut kuva kirkkaassa valaistuksessa.

JPEG-KUVA on luettavan JPEG-kuvan tiedostonimi. Tämä voidaan myös korvata merkillä -, joka tarkoittaa stdin-laitetta.

PIKSELI-ALUE-TIEDOSTO on sen tiedoston nimi johon löydettyjen viallisten pikselialueiden koordinaatit ja koot kirjoitetaan. Jos nimeä ei ole annettu, tulostetaan tiedot stdout-laitteelle.

VALITSIMET

-t KYNNYSARVO, --threshold=KYNNYSARVO
    Määrää kohinan ja signaalin erottavan kynnysarvon. Arvon alle jäävät pikselikirkkaudet tulkitaan CCD-kohinaksi ja ylittävät palaneiksi pikseleiksi. KYNNYSARVO täytyy olla numero välillä 0 - 100 oleva numero ja sen perässä täytyy olla prosenttimerkki (%). Oletusarvo on 10%.

-i, --invert
    Käyttää laskennassa negatiivikuvaa. Tätä valitsinta käytettäessä ohjelma ei etsi mustasta kuvasta palaneita pikseleitä vaan valkoisesta kuvasta kuolleita pikseleitä.

-c, --comments
    Tulostaa palaneiden (tai kuolleiden) pikselien kirkkaudet kommenteissa. Tästä voi olla apua pikselialueita käsin säädettäessä.

--help
    Näyttää lyhyen opasteen ja poistuu.

--version
    Näyttää versiotiedot ja poistuu.

VIAT
Vioista voi ilmoittaa (englanniksi) osoitteeseen <martin-jpegpixi@zero-based.org>.

TEKIJÄNOIKEUDET
Copyright © 2003, 2004, 2005 Martin Dickopp

Takuuta EI ole; ei edes MYYNTIKUNNOSTA tai SOVELTUVUUDESTA TIETTYYN TARKOITUKSEEN. Voit levittää ohjelmasta kopioita GNU General Public Licensen mukaisesti. Tiedostosta COPYING löydät lisätietoja näistä seikoista.

Ohjeen suomenkielisen käännöksen tekijänoikeus on © 2004, 2005 Jarno Elonen <elonen@iki.fi>.

KATSO MYÖS
jpegpixi(1)

Jpegpixi:n kotisivu: http://www.zero-based.org/software/jpegpixi/